#version 120
// (C) 2009 Dmytry Lavrov. All rights reserved.
uniform float mouth_size;

void main(void)
{
	float lat=(gl_Vertex.x-0.5)*3.141592;
	float lon=mouth_size+gl_Vertex.y*(2.0*3.141592-mouth_size*2.0);
	float clat=cos(lat);
	float slat=sin(lat);
	vec4 vp=vec4(slat,clat*sin(lon),-clat*cos(lon), 1.0);
  vec4 pos = gl_ModelViewProjectionMatrix * vp;
	gl_Position=pos;
	gl_FrontColor=gl_Color;
}

